Is libcurl3 available on C9?


#1

I’m building a Ruby on Rails app and want to use curb (https://github.com/taf2/curb). It depends upon the libcurl3 curl library in order to give Rails apps access to cURL. When I add curb to my gemfile and bundle install, the error includes this:

checking for curl-config... no
checking for main() in -lcurl... no

Within the C9 IDE, cURL runs on its own fine, but it does not seem to have libcurl3 installed. When I “apt-get install libcurl3” I’m denied access because I’m not root:

$ apt-get install libcurl3
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Is there a way to install libcurl3?


#2

Then just try sudo apt-get install libcurl3